<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>convective_fluxes &ndash; FLUBIO </title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>convective_fluxes
    <small>Derived Type</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title="<p> 1.7% of total for derived types.</p>Including implementation: 830 statements,  6.9% of total for derived types.">18 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/convectiveFluxes.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/convectivefluxes.f03.html'>convectiveFluxes.f03</a></li>
    
     <li><a href='../module/convectivefluxes.html'>convectiveFluxes</a></li>
    
  
     <li class="active">convective_fluxes</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-0">Variables</a></h3></div>
  <div id="vars-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/convective_fluxes.html#variable-fluxc1f">fluxC1f</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#variable-fluxc2f">fluxC2f</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#variable-fluxvf">fluxVf</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-0">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-create">create</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-destroy">destroy</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-assembleconvectiveterm">assembleConvectiveTerm</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-assembleconvectivetermimplicit">assembleConvectiveTermImplicit</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-assembleconvectivetermstd">assembleConvectiveTermStd</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-assembleconvectivetermimplicitstd">assembleConvectiveTermImplicitStd</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-assembleconvectivetermexplicit">assembleConvectiveTermExplicit</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-assembleconvectivetermwithcoeff">assembleConvectiveTermWithCoeff</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-assembleconvectivetermimplicitwithcoeff">assembleConvectiveTermImplicitWithCoeff</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-assembleconvectivetermff">assembleConvectiveTermFf</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-assembleconvectivetermimplicitff">assembleConvectiveTermImplicitFf</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-assembleboundaryconvectivefluxes">assembleBoundaryConvectiveFluxes</a>
      
    </div>
  </div>
</div>





</div>

    </div>
    
    <div class="col-md-9" id='text'>
      <h2>type, public :: convective_fluxes</h2>
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Inherited by</h3>
      </div>
      <div class="panel-body">
     <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: type~~convective_fluxes~~InheritedByGraph Pages: 1 -->
<svg id="typeconvective_fluxesInheritedByGraph" width="263pt" height="32pt"
 viewBox="0.00 0.00 263.00 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="type~~convective_fluxes~~InheritedByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>type~~convective_fluxes~~InheritedByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 259,-28 259,4 -4,4"/>
<!-- type~convective_fluxes -->
<g id="type~~convective_fluxes~~InheritedByGraph_node1" class="node">
<title>type~convective_fluxes</title>
<polygon fill="none" stroke="#000000" points="97,-24 0,-24 0,0 97,0 97,-24"/>
<text text-anchor="middle" x="48.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">convective_fluxes</text>
</g>
<!-- type~transporteqn -->
<g id="type~~convective_fluxes~~InheritedByGraph_node2" class="node">
<title>type~transporteqn</title>
<g id="a_type~~convective_fluxes~~InheritedByGraph_node2"><a xlink:href=".././type/transporteqn.html" xlink:title="transportEqn">
<polygon fill="#5cb85c" stroke="#5cb85c" points="255,-24 181,-24 181,0 255,0 255,-24"/>
<text text-anchor="middle" x="218" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">transportEqn</text>
</a>
</g>
</g>
<!-- type~transporteqn&#45;&gt;type~convective_fluxes -->
<g id="type~~convective_fluxes~~InheritedByGraph_edge1" class="edge">
<title>type~transporteqn&#45;&gt;type~convective_fluxes</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M180.8025,-12C159.3145,-12 131.7963,-12 107.4274,-12"/>
<polygon fill="#000000" stroke="#000000" points="107.2032,-8.5001 97.2032,-12 107.2031,-15.5001 107.2032,-8.5001"/>
<text text-anchor="middle" x="139" y="-14.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">convFluxes</text>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="178pt" height="32pt"
 viewBox="0.00 0.00 177.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 173.5,-28 173.5,4 -4,4"/>
<!-- Type -->
<g id="node1" class="node">
<title>Type</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Type</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node2" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="169.5,-24 72.5,-24 72.5,0 169.5,0 169.5,-24"/>
<text text-anchor="middle" x="121" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a derived type to the parent type which it
    extends. Dashed arrows point from a derived type to the other
    types it contains as a components, with a label listing the name(s) of
    said component(s).
    </p>
    </div></div></div></div>
      </div>
    </div>
    
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-1">Variables</a></h3></div>
  <div id="vars-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/convective_fluxes.html#variable-fluxc1f">fluxC1f</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#variable-fluxc2f">fluxC2f</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#variable-fluxvf">fluxVf</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-1">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-create">create</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-destroy">destroy</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-assembleconvectiveterm">assembleConvectiveTerm</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-assembleconvectivetermimplicit">assembleConvectiveTermImplicit</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-assembleconvectivetermstd">assembleConvectiveTermStd</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-assembleconvectivetermimplicitstd">assembleConvectiveTermImplicitStd</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-assembleconvectivetermexplicit">assembleConvectiveTermExplicit</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-assembleconvectivetermwithcoeff">assembleConvectiveTermWithCoeff</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-assembleconvectivetermimplicitwithcoeff">assembleConvectiveTermImplicitWithCoeff</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-assembleconvectivetermff">assembleConvectiveTermFf</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-assembleconvectivetermimplicitff">assembleConvectiveTermImplicitFf</a>
      
      <a class="list-group-item" href="../type/convective_fluxes.html#boundprocedure-assembleboundaryconvectivefluxes">assembleBoundaryConvectiveFluxes</a>
      
    </div>
  </div>
</div>





    </section>
    <br class="visible-xs visible-sm hidden-md">

    
    <section>
    <h2>Components</h2>
    
<table class="table table-striped varlist">
<thead><tr><th>Type</th><th>Visibility</th>

<th>Attributes</th><th></th><th>Name</th><th></th><th>Initial</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-fluxc1f"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>fluxC1f</strong></td><td></td><td></td><td><p>Owner contribuiton to the convective flux.</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-fluxc2f"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>fluxC2f</strong></td><td></td><td></td><td><p>Neighbour contribuiton to the convective flux</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-fluxvf"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>fluxVf</strong></td><td></td><td></td><td><p>Explicit contribution to the convective flux (Cross diffsuion + boundary connditions).</p></td>
  
</tr>

</tbody>
</table>

    </section>
    <br>
    
    
    
    
    
    
     
    <section>
    <h2>Type-Bound Procedures</h2>
    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-create"></span><h3>procedure, public :: <strong>create</strong>  => <a href='../proc/createconvectivefluxes.html'>createConvectiveFluxes</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/createconvectivefluxes.html'>createConvectiveFluxes</a>(this, nComp)
    
    
   
</h3>
    







<p>CreateConvectiveFluxes is the class constructor.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/convective_fluxes.html'>convective_fluxes</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>nComp</strong></td><td><p>number of field component</p></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-destroy"></span><h3>procedure, public :: <strong>destroy</strong>  => <a href='../proc/destroyconvectivefluxes.html'>destroyConvectiveFluxes</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/destroyconvectivefluxes.html'>destroyConvectiveFluxes</a>(this)
    
    
   
</h3>
    







<p>DestroyConvectiveFluxes is the class deconstructor</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/convective_fluxes.html'>convective_fluxes</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-assembleconvectiveterm"></span><h3>generic, public :: <strong>assembleConvectiveTerm</strong>  => <a href='../type/convective_fluxes.html#boundprocedure-assembleconvectivetermstd'>assembleConvectiveTermStd</a>, <a href='../type/convective_fluxes.html#boundprocedure-assembleconvectivetermwithcoeff'>assembleConvectiveTermWithCoeff</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
         
            
    
    <h3>
public subroutine <a href='../proc/assembleconvectivetermstd.html'>assembleConvectiveTermStd</a>(this, field, convOpt)
    
    
   
</h3>
    







<p>AssembleConvectiveTerm computes the convective fluxes
to be used in the linear system assembling of the convective term. In FLUBIO there are two main ways
to get the common face values between two neighbouring cells.
"Gradient Based" uses the current gradient field to compute the face value of a transported varaible according to different
known formulas (e.g. central, second order upwind etc.).
TVD is a class of methods which allows to compute the face value relying on a total diminishing variation formulas (e.g. Van leer)
For each cell face we can define three quantities:
\begin{eqnarray}
 FluxC_1_f = ||m_f, 0|| \
 FluxC_2_f = -||-m_f, 0|| \
 FluxV_f = m_f*\phi_f
\begin{eqnarray}
The operator ||a, b|| returns the maximum of a and b and it is commonly used to define an upwind scheme.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/convective_fluxes.html'>convective_fluxes</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td><p>current class</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td><p>Transported field (e.g. velocity or concentration)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>convOpt</strong></td><td><p>convection scheme to be used</p></td>
  
</tr>

</tbody>
</table>

      
    
    

         
      
      </li>
    
      <li class="list-group-item">
      
         
            
    
    <h3>
public subroutine <a href='../proc/assembleconvectivetermwithcoeff.html'>assembleConvectiveTermWithCoeff</a>(this, field, coeff, convOpt)
    
    
   
</h3>
    







<p>assembleConvectiveTermWithCoeff computes the convective fluxes
to be used in the linear system assembling of the convective term. In FLUBIO there are two main ways
to get the common face values between two neighbouring cells.
"Gradient Based" uses the current gradient field to compute the face value of a transported varaible according to different
known formulas (e.g. central, second order upwind etc.).
TVD is a class of methods which allows to compute the face value relying on a total diminishing variation formulas (e.g. Van leer)
For each cell face we can define three quantities:
\begin{eqnarray}
 FluxC_1_f = ||m_f, 0|| \
 FluxC_2_f = -||-m_f, 0|| \
 FluxV_f = m_f*\phi_f
\begin{eqnarray}
The operator ||a, b|| returns the maximum of a and b and it is commonly used to define an upwind scheme.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/convective_fluxes.html'>convective_fluxes</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td><p>current class</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td><p>Transported field (e.g. velocity or concentration)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>coeff</strong></td><td><p>coefficient multiplied the convective term</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>convOpt</strong></td><td><p>convection scheme to be used</p></td>
  
</tr>

</tbody>
</table>

      
    
    

         
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-assembleconvectivetermimplicit"></span><h3>generic, public :: <strong>assembleConvectiveTermImplicit</strong>  => <a href='../type/convective_fluxes.html#boundprocedure-assembleconvectivetermimplicitstd'>assembleConvectiveTermImplicitStd</a>, <a href='../type/convective_fluxes.html#boundprocedure-assembleconvectivetermimplicitwithcoeff'>assembleConvectiveTermImplicitWithCoeff</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
         
            
    
    <h3>
public subroutine <a href='../proc/assembleconvectivetermimplicitstd.html'>assembleConvectiveTermImplicitStd</a>(this, field, convOpt)
    
    
   
</h3>
    







<p>assembleConvectiveTermImplicit assembles the fluxes without deferred correction. It is used when the convective term
has to be discretized fully implicitly.
For each face, we can define three quantities:
\begin{eqnarray}
 switch = sign(mf) \
 FluxC_1_f =  mf<em>(1-psi)</em>switch + mf<em>psi</em>(1-switch)  \
 FluxC_2_f = mf(iFace,1)<em>psi</em>switch + mf(iFace,1)<em>(1-psi)</em>(1-switch) \
 FluxV_f = 0.0
\begin{eqnarray}
where $L$ is the weighting factor equal to 0.5 for equispaced meshes.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/convective_fluxes.html'>convective_fluxes</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>convOpt</strong></td><td><p>convection scheme to be used</p></td>
  
</tr>

</tbody>
</table>

      
    
    

         
      
      </li>
    
      <li class="list-group-item">
      
         
            
    
    <h3>
public subroutine <a href='../proc/assembleconvectivetermimplicitwithcoeff.html'>assembleConvectiveTermImplicitWithCoeff</a>(this, field, coeff, convOpt)
    
    
   
</h3>
    







<p>assembleConvectiveTermImplicitWithCoeff assembles the fluxes without deferred correction.
It is used when the convective term has to be discretized fully implicitly.
For each face, we can define three quantities:
\begin{eqnarray}
 switch = sign(mf) \
 FluxC_1_f =  mf<em>(1-psi)</em>switch + mf<em>psi</em>(1-switch)  \
 FluxC_2_f = mf(iFace,1)<em>psi</em>switch + mf(iFace,1)<em>(1-psi)</em>(1-switch) \
 FluxV_f = 0.0
\begin{eqnarray}
where $L$ is the weighting factor equal to 0.5 for equispaced meshes.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/convective_fluxes.html'>convective_fluxes</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>coeff</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>convOpt</strong></td><td><p>convection scheme to be used</p></td>
  
</tr>

</tbody>
</table>

      
    
    

         
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-assembleconvectivetermstd"></span><h3>procedure, public :: <strong>assembleConvectiveTermStd</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/assembleconvectivetermstd.html'>assembleConvectiveTermStd</a>(this, field, convOpt)
    
    
   
</h3>
    







<p>AssembleConvectiveTerm computes the convective fluxes
to be used in the linear system assembling of the convective term. In FLUBIO there are two main ways
to get the common face values between two neighbouring cells.
"Gradient Based" uses the current gradient field to compute the face value of a transported varaible according to different
known formulas (e.g. central, second order upwind etc.).
TVD is a class of methods which allows to compute the face value relying on a total diminishing variation formulas (e.g. Van leer)
For each cell face we can define three quantities:
\begin{eqnarray}
 FluxC_1_f = ||m_f, 0|| \
 FluxC_2_f = -||-m_f, 0|| \
 FluxV_f = m_f*\phi_f
\begin{eqnarray}
The operator ||a, b|| returns the maximum of a and b and it is commonly used to define an upwind scheme.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/convective_fluxes.html'>convective_fluxes</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td><p>current class</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td><p>Transported field (e.g. velocity or concentration)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>convOpt</strong></td><td><p>convection scheme to be used</p></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-assembleconvectivetermimplicitstd"></span><h3>procedure, public :: <strong>assembleConvectiveTermImplicitStd</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/assembleconvectivetermimplicitstd.html'>assembleConvectiveTermImplicitStd</a>(this, field, convOpt)
    
    
   
</h3>
    







<p>assembleConvectiveTermImplicit assembles the fluxes without deferred correction. It is used when the convective term
has to be discretized fully implicitly.
For each face, we can define three quantities:
\begin{eqnarray}
 switch = sign(mf) \
 FluxC_1_f =  mf<em>(1-psi)</em>switch + mf<em>psi</em>(1-switch)  \
 FluxC_2_f = mf(iFace,1)<em>psi</em>switch + mf(iFace,1)<em>(1-psi)</em>(1-switch) \
 FluxV_f = 0.0
\begin{eqnarray}
where $L$ is the weighting factor equal to 0.5 for equispaced meshes.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/convective_fluxes.html'>convective_fluxes</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>convOpt</strong></td><td><p>convection scheme to be used</p></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-assembleconvectivetermexplicit"></span><h3>procedure, public :: <strong>assembleConvectiveTermExplicit</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/assembleconvectivetermexplicit.html'>assembleConvectiveTermExplicit</a>(this, field, convOpt)
    
    
   
</h3>
    







<p>AssembleConvectiveTermExplicit computes the convective fluxes
to be used in the linear system assembling of the convective term in fully explicit way.
For each cell face we can define three quantities:
\begin{eqnarray}
 FluxC_1_f = 0.0 \
 FluxC_2_f = 0.0 \
 FluxV_f = m_f*\phi_f
\begin{eqnarray}</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/convective_fluxes.html'>convective_fluxes</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td><p>current class</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td><p>Transported field (e.g. velocity or concentration)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>convOpt</strong></td><td><p>convection scheme to be used</p></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-assembleconvectivetermwithcoeff"></span><h3>procedure, public :: <strong>assembleConvectiveTermWithCoeff</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/assembleconvectivetermwithcoeff.html'>assembleConvectiveTermWithCoeff</a>(this, field, coeff, convOpt)
    
    
   
</h3>
    







<p>assembleConvectiveTermWithCoeff computes the convective fluxes
to be used in the linear system assembling of the convective term. In FLUBIO there are two main ways
to get the common face values between two neighbouring cells.
"Gradient Based" uses the current gradient field to compute the face value of a transported varaible according to different
known formulas (e.g. central, second order upwind etc.).
TVD is a class of methods which allows to compute the face value relying on a total diminishing variation formulas (e.g. Van leer)
For each cell face we can define three quantities:
\begin{eqnarray}
 FluxC_1_f = ||m_f, 0|| \
 FluxC_2_f = -||-m_f, 0|| \
 FluxV_f = m_f*\phi_f
\begin{eqnarray}
The operator ||a, b|| returns the maximum of a and b and it is commonly used to define an upwind scheme.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/convective_fluxes.html'>convective_fluxes</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td><p>current class</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td><p>Transported field (e.g. velocity or concentration)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>coeff</strong></td><td><p>coefficient multiplied the convective term</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>convOpt</strong></td><td><p>convection scheme to be used</p></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-assembleconvectivetermimplicitwithcoeff"></span><h3>procedure, public :: <strong>assembleConvectiveTermImplicitWithCoeff</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/assembleconvectivetermimplicitwithcoeff.html'>assembleConvectiveTermImplicitWithCoeff</a>(this, field, coeff, convOpt)
    
    
   
</h3>
    







<p>assembleConvectiveTermImplicitWithCoeff assembles the fluxes without deferred correction.
It is used when the convective term has to be discretized fully implicitly.
For each face, we can define three quantities:
\begin{eqnarray}
 switch = sign(mf) \
 FluxC_1_f =  mf<em>(1-psi)</em>switch + mf<em>psi</em>(1-switch)  \
 FluxC_2_f = mf(iFace,1)<em>psi</em>switch + mf(iFace,1)<em>(1-psi)</em>(1-switch) \
 FluxV_f = 0.0
\begin{eqnarray}
where $L$ is the weighting factor equal to 0.5 for equispaced meshes.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/convective_fluxes.html'>convective_fluxes</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>coeff</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>convOpt</strong></td><td><p>convection scheme to be used</p></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-assembleconvectivetermff"></span><h3>procedure, public :: <strong>assembleConvectiveTermFf</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/assembleconvectivetermff.html'>assembleConvectiveTermFf</a>(this, field, convOpt, fComp)
    
    
   
</h3>
    







<p>AssembleConvectiveTerm computes the convective fluxes using the face velocity (mf/rho_f) and not the mass flux.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/convective_fluxes.html'>convective_fluxes</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td><p>current class</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td><p>Transported field (e.g. velocity or concentration)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>convOpt</strong></td><td><p>convection scheme to be used</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>fComp</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-assembleconvectivetermimplicitff"></span><h3>procedure, public :: <strong>assembleConvectiveTermImplicitFf</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/assembleconvectivetermimplicitff.html'>assembleConvectiveTermImplicitFf</a>(this, field, convOpt)
    
    
   
</h3>
    







<p>assembleConvectiveTermImplicitFf assembles the convective fluxes using the face velocity (mf/rho_f)instead of the mass flux.
It behaves exactly as assembleConvectiveTermImplicit.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/convective_fluxes.html'>convective_fluxes</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>convOpt</strong></td><td><p>convection scheme to be used</p></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-assembleboundaryconvectivefluxes"></span><h3>procedure, public :: <strong>assembleBoundaryConvectiveFluxes</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/assembleboundaryconvectivefluxes.html'>assembleBoundaryConvectiveFluxes</a>(this, field, convOpt)
    
    
   
</h3>
    







<p>assembleBoundaryConvectiveFluxes computes the convective fluxes at boundaries explicitly.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/convective_fluxes.html'>convective_fluxes</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td><p>current class</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td><p>Transported field (e.g. velocity or concentration)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>convOpt</strong></td><td><p>convection scheme to be used</p></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
    </section>
    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>